snd_ctl_add
Prev | Chapter 24. Sound Devices | Next

## Name

snd_ctl_add — add the control instance to the card

## Synopsis

`int snd_ctl_add (` | struct snd_card * | card,
| struct snd_kcontrol * | kcontrol`)`;

## Arguments

`card`

  the card instance

`kcontrol`

  the control instance to add

## Description

Adds the control instance created via `snd_ctl_new` or `snd_ctl_new1` to the given card. Assigns also an unique numid used for fast search.

Returns zero if successful, or a negative error code on failure.

It frees automatically the control which cannot be added.

Prev | Up | Next
snd_ctl_free_one | Home | snd_ctl_remove